// AutomaticSplitterView.h : interface of the CAutomaticSplitterView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_AUTOMATICSPLITTERVIEW_H__2CC4691E_8D11_11D3_9A0F_0008C74FEAEC__INCLUDED_)
#define AFX_AUTOMATICSPLITTERVIEW_H__2CC4691E_8D11_11D3_9A0F_0008C74FEAEC__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include "AutomaticSplitterDoc.h"


class CAutomaticSplitterView : public CView
{
protected: // create from serialization only
	CAutomaticSplitterView();
	DECLARE_DYNCREATE(CAutomaticSplitterView)

// Attributes
public:
	CAutomaticSplitterDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAutomaticSplitterView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	void DoSomething(const COLORREF& aCol);
	virtual ~CAutomaticSplitterView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CAutomaticSplitterView)
	afx_msg void OnKillFocus(CWnd* pNewWnd);
	afx_msg void OnSetFocus(CWnd* pOldWnd);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in AutomaticSplitterView.cpp
inline CAutomaticSplitterDoc* CAutomaticSplitterView::GetDocument()
   { return (CAutomaticSplitterDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_AUTOMATICSPLITTERVIEW_H__2CC4691E_8D11_11D3_9A0F_0008C74FEAEC__INCLUDED_)
